--- title: "Update a subscription assignment by id" slug: "update-a-subscription-assignment-by-id-1" updated: 2026-02-10T22:22:29Z published: 2026-02-10T22:22:29Z canonical: "docs.skillable.com/update-a-subscription-assignment-by-id-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Update a subscription assignment by id Get/UpdateSubscription Allows you to update a subscription assignment. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parametersidinteger (int32) Required The ID of the subscription externalIdstring The exernal ID of the subscription, usually a unique identifier from the calling system clubIdinteger (int32) Required The Id of the related subscription profile userIdinteger (int32) Required The Id of the related user startsinteger (int64) Required When the subscription starts (in Unix epoch time) expiresinteger (int64) When the subscription expires (in Unix epoch time) targetCompletioninteger (int64) When the subscription is expected to be completed by the student (in Unix epoch time) Responses200 OK Response object statusinteger (int32) Indicates the status of the API request. - 0 = Success - 10 = Error - 20 = Not found - 30 = Invalid integration key Example10 errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).